Class CommentServiceGrpc.CommentServiceBlockingV2Stub (0.77.0)

public static final class CommentServiceGrpc.CommentServiceBlockingV2Stub extends AbstractBlockingStub<CommentServiceGrpc.CommentServiceBlockingV2Stub>

A stub to allow clients to do synchronous rpc calls to service CommentService.

A service to manage comments on cases.

Inheritance

java.lang.Object > io.grpc.stub.AbstractStub > io.grpc.stub.AbstractBlockingStub > CommentServiceGrpc.CommentServiceBlockingV2Stub

Methods

build(Channel channel, CallOptions callOptions)

protected CommentServiceGrpc.CommentServiceBlockingV2Stub build(Channel channel, CallOptions callOptions)
Parameters
Name Description
channel io.grpc.Channel
callOptions io.grpc.CallOptions
Returns
Type Description
CommentServiceGrpc.CommentServiceBlockingV2Stub
Overrides
io.grpc.stub.AbstractStub.build(io.grpc.Channel,io.grpc.CallOptions)

createComment(CreateCommentRequest request)

public Comment createComment(CreateCommentRequest request)

Add a new comment to a case. The comment must have the following fields set: body.

Parameter
Name Description
request CreateCommentRequest
Returns
Type Description
Comment
Exceptions
Type Description
io.grpc.StatusException

getComment(GetCommentRequest request)

public Comment getComment(GetCommentRequest request)

Retrieve a comment. EXAMPLES: cURL: <code><code>shell comment="projects/some-project/cases/43595344/comments/234567890" curl &#92; --header "Authorization: Bearer $(gcloud auth print-access-token)" &#92; "https://cloudsupport.googleapis.com/v2/$comment" </code></code><code> Python: </code><code><code>python import googleapiclient.discovery api_version = "v2" supportApiService = googleapiclient.discovery.build( serviceName="cloudsupport", version=api_version, discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}", ) request = supportApiService.cases().comments().get( name="projects/some-project/cases/43595344/comments/234567890", ) print(request.execute()) </code></code>

Parameter
Name Description
request GetCommentRequest
Returns
Type Description
Comment
Exceptions
Type Description
io.grpc.StatusException

listComments(ListCommentsRequest request)

public ListCommentsResponse listComments(ListCommentsRequest request)

List all the comments associated with a case.

Parameter
Name Description
request ListCommentsRequest
Returns
Type Description
ListCommentsResponse
Exceptions
Type Description
io.grpc.StatusException